data_associations_retrieve
GET
/api/data/{data_pk}/associations/{id}
const url = 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a Data Association item’s information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”data_pk
required
string format: uuid
Data ID
id
required
string format: uuid
A UUID string identifying this data association.
Header Parameters
Section titled “Header Parameters”X-Workspace
required
string format: uuid
Workspace ID
Responses
Section titled “Responses”Media typeapplication/json
Serializer for Data associations.
object
id
required
string format: uuid
data_objects
required
Array<string>
data_obj
required
Return serialized data for the current data.
Parameters
obj : DataAssociation The object containing information about the current data.
Returns
list A list of serialized data objects.
Array
created_by
required
Return the interactor information of the object’s creator.
Parameters
obj : DataAssociation The object containing the creator information.
Returns
dict The interactor information of the creator.
object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required
Return information about the last interactor who edited the object.
Parameters
obj : DataAssociation The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
key
additional properties
last_edited_time
required
string format: date-time
Example generated
{ "data_objects": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "association", "code": "not_allowed", "message": "You do not have access to this association." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
